commit:     1b38845388556ce2c0a773f80e744e1e3722bf3c
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 28 15:15:56 2019 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Sep 28 15:19:57 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1b388453

app-pda/libusbmuxd: Needs to bump subslot, update EAPI

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 app-pda/libusbmuxd/libusbmuxd-1.0.10-r1.ebuild | 40 ++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)

diff --git a/app-pda/libusbmuxd/libusbmuxd-1.0.10-r1.ebuild 
b/app-pda/libusbmuxd/libusbmuxd-1.0.10-r1.ebuild
new file mode 100644
index 00000000000..251892a8863
--- /dev/null
+++ b/app-pda/libusbmuxd/libusbmuxd-1.0.10-r1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="USB multiplex daemon for use with Apple iPhone/iPod Touch devices"
+HOMEPAGE="http://www.libimobiledevice.org/";
+SRC_URI="http://www.libimobiledevice.org/downloads/${P}.tar.bz2";
+
+# tools/iproxy.c is GPL-2+, everything else is LGPL-2.1+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0/4" # based on SONAME of libusbmuxd.so
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="kernel_linux static-libs"
+
+RDEPEND="
+       >=app-pda/libplist-1.11:=
+       virtual/libusb:1
+       !=app-pda/usbmuxd-1.0.9
+       !<app-pda/usbmuxd-1.0.8_p1
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       virtual/os-headers
+       virtual/pkgconfig
+"
+
+src_configure() {
+       local myeconfargs=( $(use_enable static-libs static) )
+       use kernel_linux || myeconfargs+=( --without-inotify )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+       if ! use static-libs; then
+               find "${D}" -name '*.la' -type f -delete || die
+       fi
+}

Reply via email to